## org.hibernate.transaction
Interface TransactionFactory.Context

All Known Subinterfaces:
  JDBCContext.Context

All Known Implementing Classes:
  SessionImpl, StatelessSessionImpl

Enclosing interface:
  TransactionFactory

    public static interface TransactionFactory.Context

Callback mechanism; a context is always a `Session` in the Hibernate usage.

Method Summary
`SessionFactoryImplementor` `getFactory()`
`boolean` `isClosed()`
`boolean` `isFlushBeforeCompletionEnabled()`
`boolean` `isFlushModeNever()`
`void` `managedClose()`
`void` `managedFlush()`
`boolean` `shouldAutoClose()`

Method Detail

### getFactory

    SessionFactoryImplementor getFactory()

### isClosed

    boolean isClosed()

### isFlushModeNever

    boolean isFlushModeNever()

### isFlushBeforeCompletionEnabled

    boolean isFlushBeforeCompletionEnabled()

### managedFlush

    void managedFlush()

### shouldAutoClose

    boolean shouldAutoClose()

### managedClose

    void managedClose()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.